std::basic_string::front(3)

NAME
std::basic_string::front - std::basic_string::front

Synopsis
   CharT& front(); (since C++11)
                        (until C++20)
   constexpr CharT& front(); (since C++20)
   const CharT& front() const; (since C++11)
                        (until C++20)
   constexpr const CharT& front() const; (since C++20)
   Returns reference to the first character in the string. The behavior is undefined if
   empty() == true.

Parameters
   (none)

Return value
   reference to the first character, equivalent to operator[](0).

Complexity
   Constant

Example
// Run this code
 #include <iostream>
 #include <string>
 int main()
 {
   {
     std::string s("Exemplary");
     char& f = s.front();
     f = 'e';
     std::cout << s << '\n'; // "exemplary"
   }
   {
     std::string const c("Exemplary");
     char const& f = c.front();
     std::cout << &f << '\n'; // "Exemplary"
   }
 }

Output:
 exemplary
 Exemplary

See also
   back accesses the last character
   (C++11) (public member function)
   front accesses the first character
   (C++17) (public member function of std::basic_string_view<CharT,Traits>)